> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

# 55. Naloži zip datoteke (nad 6 MB)

Zaradi tehnične omejitve ponudnika oblaka AWS je treba datoteke, večje od 6 MB, naložiti v dveh korakih:

#### **1. Zahtevajte vnaprej podpisano povezavo za neposredno nalaganje.** <a href="#step1" id="step1"></a>

Kot vhod:

* `fileType` - `yield` ALI `soil` ALI `applied` ALI `adapt` ALI `boundary`,
* `farmUuid` (neobvezno) – UUID kmetije, v katero želite uvoziti datoteko.

Kot izhod:

* `uuid` – pričakovani UUID po nalaganju in obdelavi,
* `farmUuid` – enak kot vhodni,
* `fileType` – enak kot vhodni,
* `s3Url` – URL, uporabljen za nalaganje datoteke,
* `s3Fields` – atributi, ki jih je treba vključiti v obrazec za nalaganje datoteke.

Podrobnosti o uporabi `s3Url` in `s3Fields` so opisane v drugem koraku.

Atributi so za nalaganje datoteke veljavni samo 60 minut.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Pošljite lokalno datoteko na s3Url z vnaprej določenimi atributi obrazca iz s3Fields.** <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Obvestila o obdelavi bodo poslana prek mehanizma naročnin, opisanega v razdelku\
[1. Naročnina: pridobivanje dogodkov](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
Glava odgovora vključuje glavo `Etag` ki je na primer videti tako: `Etag: "6fd3e76992738357ab50039f2c60024e"`. Ta vrednost se nato uporabi v GraphQL [poizvedbi getPlatformContext](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/geopard-api-requests-overview/83.-query-collect-platform-context.md) za spremljanje napredka obdelave ter povezav z entitetami »Field«, »AsAppliedDataset«, »YieldDataset« in »SoilDataset«.
{% endhint %}

{% hint style="info" %}
Uporabite `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
